<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/add_printer_topbar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        app:qmui_topbar_text_btn_color_state_list="@color/theme_white_color"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <requestFocus />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:scrollbars="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.3"
                    android:text="名稱" />

                <EditText
                    android:id="@+id/add_printer_ed_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_weight="0.7"
                    android:background="@null"
                    android:digits="@string/edit_digits_number_words"
                    android:gravity="right"
                    android:hint="請輸入打印機名稱"
                    android:maxLength="20"
                    android:singleLine="true"
                    android:textColor="@color/normal_color"
                    android:textColorHint="@color/hint_color"
                    android:textSize="@dimen/dp_14" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <RelativeLayout
                android:id="@+id/layout_print_type"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_print_type_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="打印機類型" />

                <ImageView
                    android:id="@+id/iv_print_type_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/tv_print_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_print_type_arrow"
                    android:layout_toRightOf="@id/tv_print_type_text"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16" />
            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                android:id="@+id/layout_print_path"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:orientation="horizontal"
                android:visibility="gone">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.3"
                    android:text="輸出路徑" />

                <EditText
                    android:id="@+id/add_print_path"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_weight="0.7"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="請輸入PRJ文件輸出路徑"
                    android:inputType="number"
                    android:maxLength="6"
                    android:textColor="@color/normal_color"
                    android:textColorHint="@color/hint_color"
                    android:textSize="@dimen/dp_14" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                android:id="@+id/layout_ip"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.3"
                    android:text="打印機IP" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.7"
                    android:focusable="true"
                    android:focusableInTouchMode="true"
                    android:orientation="horizontal">

                    <EditText
                        android:id="@+id/ip_edit_1"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="bottom|center_horizontal"
                        android:hint="0"
                        android:inputType="number"
                        android:maxLength="3"
                        android:minWidth="@dimen/dp_30"
                        android:nextFocusDown="@id/ip_edit_2"
                        android:singleLine="true"
                        android:text="192"
                        android:textColor="@color/normal_color"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/dp_15" />

                    <TextView
                        android:id="@+id/dot_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:singleLine="true"
                        android:text="."
                        android:textColor="#000"
                        android:textSize="@dimen/dp_20"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/ip_edit_2"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="bottom|center_horizontal"
                        android:hint="0"
                        android:inputType="number"
                        android:maxLength="3"
                        android:minWidth="@dimen/dp_30"

                        android:nextFocusDown="@id/ip_edit_3"
                        android:singleLine="true"
                        android:text="168"
                        android:textColor="@color/normal_color"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/dp_15" />

                    <TextView
                        android:id="@+id/dot_2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:singleLine="true"
                        android:text="."
                        android:textColor="#000"
                        android:textSize="@dimen/dp_20"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/ip_edit_3"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="bottom|center_horizontal"
                        android:hint="0"
                        android:inputType="number"
                        android:maxLength="3"
                        android:minWidth="@dimen/dp_30"
                        android:nextFocusDown="@id/ip_edit_4"
                        android:singleLine="true"
                        android:text="125"
                        android:textColor="@color/normal_color"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/dp_15" />

                    <TextView
                        android:id="@+id/dot_3"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:singleLine="true"
                        android:text="."
                        android:textColor="#000"
                        android:textSize="@dimen/dp_20"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/ip_edit_4"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="bottom|center_horizontal"
                        android:hint="0"
                        android:inputType="number"
                        android:maxLength="3"
                        android:minWidth="@dimen/dp_30"
                        android:singleLine="true"
                        android:text="075"
                        android:textColor="@color/normal_color"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/dp_15" />
                </LinearLayout>
            </LinearLayout>

            <include
                android:id="@+id/print_ip_line"
                layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                android:id="@+id/layout_port"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.3"
                    android:text="端口號" />

                <EditText
                    android:id="@+id/add_printer_ed_port"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_weight="0.7"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="請輸入端口號，默認9100"
                    android:inputType="number"
                    android:maxLength="6"
                    android:textColor="@color/normal_color"
                    android:textColorHint="@color/hint_color"
                    android:textSize="@dimen/dp_14" />
            </LinearLayout>

            <include
                android:id="@+id/print_port_line"
                layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <RelativeLayout
                android:id="@+id/layout_print_device"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_device_model_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="打印機型號" />


                <ImageView
                    android:id="@+id/iv_device_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/print_device_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_device_arrow"
                    android:layout_toRightOf="@id/tv_device_model_text"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/color_c9"
                    android:textSize="@dimen/dp_16" />
            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <LinearLayout
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="設為默認" />

                <Switch
                    android:id="@+id/switch_set_default"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <RelativeLayout
                android:id="@+id/layout_select_fail_one"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_fail_one_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_weight="1"
                    android:text="打印失敗由此打印" />


                <ImageView
                    android:id="@+id/iv_fail_one_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/tv_print_fail_one"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_fail_one_arrow"
                    android:layout_toRightOf="@id/tv_fail_one_text"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/color_c9"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <RelativeLayout
                android:id="@+id/layout_select_fail_two"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_fail_two_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="打印失敗由此打印" />

                <ImageView
                    android:id="@+id/iv_fail_two_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/tv_print_fail_two"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_fail_two_arrow"
                    android:layout_toRightOf="@id/tv_fail_two_text"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/color_c9"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <!--    語言選擇-->
            <RelativeLayout
                android:id="@+id/layout_print_device_food_language"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_food_language_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="廚房單語言" />

                <ImageView
                    android:id="@+id/iv_food_language_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/tv_food_language"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_food_language_arrow"
                    android:layout_toRightOf="@id/tv_food_language_text"
                    android:ellipsize="end"
                    android:gravity="right"
                    android:maxLines="1"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <!--    食品字體大小-->
            <RelativeLayout
                android:id="@+id/layout_print_device_food_font_size"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_food_font_size_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="食品字體大小" />

                <ImageView
                    android:id="@+id/iv_food_font_size_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/tv_food_font_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_food_font_size_arrow"
                    android:layout_toRightOf="@id/tv_food_font_size_text"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <!--    細項字體大小-->
            <RelativeLayout
                android:id="@+id/layout_print_device_food_item_font_size"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_food_items_font_size_text"
                    style="@style/print_add_title_textStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:text="細項字體大小" />

                <ImageView
                    android:id="@+id/iv_details_font_size_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />

                <TextView
                    android:id="@+id/tv_details_font_size"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:layout_toLeftOf="@id/iv_details_font_size_arrow"
                    android:layout_toRightOf="@id/tv_food_items_font_size_text"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </RelativeLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <!--    食品是否加粗-->
            <LinearLayout
                android:id="@+id/layout_print_food_isbold"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="食品是否加粗" />

                <Switch
                    android:id="@+id/switch_print_device_food_font_thickness"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    android:visibility="gone"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_print_device_food_bold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />


            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <!--    細項是否加粗-->
            <LinearLayout
                android:id="@+id/layout_print_modifier_isbold"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="細項是否加粗" />

                <Switch
                    android:id="@+id/switch_food_items_thickness"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    android:visibility="gone"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_print_device_modifier_bold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <!--    食品斜體-->
            <LinearLayout
                android:id="@+id/layout_food_italic"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="食品斜體" />

                <Switch
                    android:id="@+id/switch_food_italic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    android:visibility="gone"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_print_food_italic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />
            <!--    細項斜體-->
            <LinearLayout
                android:id="@+id/layout_modifier_italic"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="細項斜體" />

                <Switch
                    android:id="@+id/switch_food_items_italic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    android:visibility="gone"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_print_modifier_italic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>

            <include layout="@layout/include_horizontal_color_ccc_dividing_line" />

            <!--    數量大於1顏色是否翻轉-->
            <LinearLayout
                android:id="@+id/layout_flip"
                style="@style/print_add_printer_input_style"
                android:layout_width="match_parent"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    style="@style/print_add_title_textStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="數量大於1顏色是否翻轉" />

                <Switch
                    android:id="@+id/switch_color_flip"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:thumb="@drawable/shape_thumb_on"
                    android:track="@drawable/selector_switch_track"
                    android:visibility="gone"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_print_flip"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_7"
                    android:layout_marginRight="@dimen/dp_7"
                    android:gravity="right"
                    android:text="請選擇"
                    android:textColor="@color/normal_color"
                    android:textSize="@dimen/dp_16"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:src="@drawable/ic_black_next_arrow" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <com.qmuiteam.qmui.alpha.QMUIAlphaButton
        android:id="@+id/printer_add"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/printer_add_input_paddingLeft"
        android:layout_marginRight="@dimen/printer_add_input_paddingLeft"
        android:layout_marginBottom="@dimen/dp_20"
        android:background="@drawable/shape_app_btn"
        android:gravity="center"
        android:paddingTop="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_10"
        android:text="保存"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_16" />

</LinearLayout>